gr-baz Package

Public Types | Public Member Functions | Static Public Member Functions | List of all members
gr::baz::keep_one_in_n Class Referenceabstract

decimate a stream, keeping one item out of every `n`. More...

`#include <baz_keep_one_in_n.h>`

Inheritance diagram for gr::baz::keep_one_in_n:
[legend]

## Public Types
typedef boost::shared_ptr< keep_one_in_n > | sptr

## Public Member Functions
virtual void | set_n (int n)=0

## Static Public Member Functions
static sptr | make (size_t itemsize, int n, bool verbose=false)

## Detailed Description

decimate a stream, keeping one item out of every `n`.

## Member Typedef Documentation

## ◆ sptr

typedef boost::shared_ptr<keep_one_in_n> gr::baz::keep_one_in_n::sptr

## Member Function Documentation

## ◆ make()

static sptr gr::baz::keep_one_in_n::make | ( | size_t | itemsize,
|  | int | n,
|  | bool | verbose = `false`
| ) |  |
| static

Make a keep one in n block.

Parameters

  itemsize | stream itemsize
  n | block size in items

## ◆ set_n()

virtual void gr::baz::keep_one_in_n::set_n | ( | int | n | ) |
| pure virtual

The documentation for this class was generated from the following file:

- baz_keep_one_in_n.h